Novant

Documentation

Sign in

Scenes

Retrieves a list of all scenes in this project. A scene is a named set of points with one or more modes, where each mode defines a value for every point in the scene.

GET /v1/scenes
curl https://api.novant.io/v1/scenes \
  -u ak_sample_123: \
  --compressed

Parameters

scene_id

Optionally return only the scene with this id, i.e.: "sn.5". Returns a 404 if no scene with this id exists.

Returns

Returns the list of scenes in this project. If scene_id was specified, only the selected scene is returned.

{
  "scenes": [
    {
      "id": "sn.5",
      "name": "Lobby HVAC",
      "point_ids": [
        "s.5.9",
        "s.5.12"
      ],
      "modes": [
        {
          "id": "sn.5.1",
          "name": "occupied",
          "vals": {
            "s.5.9": 72.0,
            "s.5.12": 1.0
          }
        },
        {
          "id": "sn.5.2",
          "name": "unoccupied",
          "vals": {
            "s.5.9": 55.0,
            "s.5.12": 0.0
          }
        }
      ]
    },
    ...
  ]
}